
// ---=== Ladderclip ===---

textures/ut4_stupidmap/sm1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm nodamage
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

textures/ut4_stupidmap/sm1_hologo_b
{
	qer_editorimage textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_stupidmap/sm1_hologo_r
{
	qer_editorimage textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_stupidmap/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== no damage textures ===---

textures/ut4_stupidmap/e8_base1:q3map
{
	surfaceparm nodamage
}

textures/ut4_stupidmap/e8_base1b:q3map
{
	surfaceparm nodamage
}

textures/ut4_stupidmap/e8_base1c:q3map
{
	surfaceparm nodamage
}
textures/ut4_stupidmap/e8base_blue:q3map
{
	surfaceparm nodamage
}
textures/ut4_stupidmap/e8base_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_stupidmap/e8crete01:q3map
{
	surfaceparm nodamage
}

textures/ut4_stupidmap/e8cretefloor01b:q3map
{
	surfaceparm nodamage
}

textures/ut4_stupidmap/e8metal03b:q3map
{
	surfaceparm nodamage
}

textures/ut4_stupidmap/e8supporttrim01b:q3map
{
	surfaceparm nodamage
}

textures/ut4_stupidmap/e8trimlight:q3map
{
	surfaceparm nodamage
}

textures/ut4_stupidmap/e8warning2:q3map
{
	surfaceparm nodamage
}


textures/ut4_stupidmap/mrtx_oldbrk_05:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_stupidmap/sm1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_stupidmap/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_stupidmap/sm1_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_stupidmap/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---

textures/ut4_stupidmap/sm1_shn_e8base1c
{
	qer_editorimage textures/ut4_stupidmap/e8_base1c.jpg
	surfaceparm nodamage

	{
		map textures/ut4_stupidmap/e8_base1c.jpg
	}
	{
		map textures/ut4_stupidmap/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_stupidmap/e6basicstrip_blue
{
	qer_editorimage textures/ut4_stupidmap/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_stupidmap/e6basicstrip_blue.tga
	}
}

textures/ut4_stupidmap/e6basicstrip_green
{
	qer_editorimage textures/ut4_stupidmap/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_stupidmap/e6basicstrip_green.tga
	}
}

textures/ut4_stupidmap/e6basicstrip_orange
{
	qer_editorimage textures/ut4_stupidmap/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_stupidmap/e6basicstrip_orange.tga
	}
}

textures/ut4_stupidmap/e6basicstrip_purple
{
	qer_editorimage textures/ut4_stupidmap/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_stupidmap/e6basicstrip_purple.tga
	}
}

textures/ut4_stupidmap/e6basicstrip_red
{
	qer_editorimage textures/ut4_stupidmap/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_stupidmap/e6basicstrip_red.tga
	}
}

textures/ut4_stupidmap/e6basicstrip_white
{
	qer_editorimage textures/ut4_stupidmap/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_stupidmap/e6basicstrip_white.tga
	}
}

textures/ut4_stupidmap/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_stupidmap/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_stupidmap/e6basicstrip_yellow.tga
	}
}

// ---=== Evil Shaders ===---

textures/ut4_stupidmap/e8warn2steplight
{
	qer_editorimage textures/ut4_stupidmap/e8warn2steplight.tga
	q3map_lightimage textures/ut4_stupidmap/e8warn2steplight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 50
	{
		map textures/ut4_stupidmap/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_stupidmap/e8warn2steplight.blend.tga
		blendfunc add
	}
}


textures/ut4_stupidmap/e8minitrimlight
{
	qer_editorimage textures/ut4_stupidmap/e8minitrimlight.tga
	q3map_lightimage textures/ut4_stupidmap/e8minitrimlight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 250
	{
		map textures/ut4_stupidmap/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_stupidmap/e8minitrimlight.blend.tga
		blendfunc add
	}
}
